summaryrefslogtreecommitdiff
path: root/bin/node_init
diff options
context:
space:
mode:
Diffstat (limited to 'bin/node_init')
-rwxr-xr-x[-rw-r--r--]bin/node_init7
1 files changed, 6 insertions, 1 deletions
diff --git a/bin/node_init b/bin/node_init
index da250012..b55cfed3 100644..100755
--- a/bin/node_init
+++ b/bin/node_init
@@ -22,7 +22,10 @@ if ! egrep -q "$DEBIAN_VERSION" /etc/debian_version; then
exit 1
fi
mkdir -p $LEAP_DIR
-echo "en_US.UTF-8 UTF-8" > /etc/locale.gen
+if ! grep -q -e '^en_US.UTF-8' /etc/locale.gen; then
+ echo "en_US.UTF-8 UTF-8" >> /etc/locale.gen
+ /usr/sbin/locale-gen
+fi
#
# UPDATE PACKAGES
@@ -49,6 +52,8 @@ if [[ $error_count > 0 ]]; then
exit 1
fi
+/usr/bin/apt-get -q -y -o 'DPkg::Options::=--force-confold' dist-upgrade
+
#
# UPDATE TIME
#